#include <stdio.h>
#include <stdlib.h>
#include <math.h>

int main()
{
    long long int n,m,k,i;
    float t,sz,t1=0;
    scanf("%lld %lld %lld",&n,&m,&k);
    long long int a[k],b[k],o[n*m],o1[k];
    t=(float)m*n;
    for (i=0;i<k;i++)
    {
        scanf("%lld %lld",&a[i],&b[i]);
    }
    for (i=0;i<k;i++)
    {
        t1=t1+a[i]+b[i];
    }
    sz=floor(t*k/t1);
    printf("%.0f",sz);







    return 0;
}